<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class CreatePaySchedule extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'payschedule_id' => [
                'type' => 'INT',
                'constraint' => 11,
                'unsigned' => true,
                'auto_increment' => true
            ],
            'sched_code' => [
                'type' => 'VARCHAR',
                'constraint' => 25,
                'null' => false
            ],
            'sched_name' => [
                'type' => 'VARCHAR',
                'constraint' => 255,
                'null' => false
            ],


            // Common fields
            'created_at' => [
                'type' => 'DATETIME',
                'null' => true,
            ],
            'created_by' => [
                'type' => 'VARCHAR', 
                'constraint' => '20', 
                'null' => true
            ],
            'updated_at' => [
                'type' => 'DATETIME',
                'null' => true,
            ],
            'updated_by' => [
                'type' => 'VARCHAR', 
                'constraint' => '20', 
                'null' => true
            ],
            'deleted_at' => [
                'type' => 'DATETIME',
                'null' => true,
            ],
        ]);

        $this->forge->addKey('payschedule_id', true);
        $this->forge->createTable('pay_schedule');
    }



    public function down()
    {
        $this->forge->dropTable('pay_schedule');
    }
}
