<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class AddSalComputeOnEmpPayTrans extends Migration
{
    public function up()
    {
        $fields = [
            'basic_sal_computation' => [
                'type' => 'VARCHAR',
                'constraint' => 35,
                'null' => true,
                'after' => 'savings_account',
            ],
            'basic_semi_monthly_pay' => [
                'type' => 'DECIMAL',
                'constraint' => '12,4',
                'null' => false,
                'after' => 'basic_monthly_pay',
            ],
        ];
        $this->forge->addColumn('emp_pay_trans', $fields);
    }

    public function down()
    {
        $fields = [
            'basic_sal_computation',
            'basic_semi_monthly_pay'
        ];

        $this->forge->dropColumn('emp_pay_trans', $fields);
    }
}
