<!-- Extend area where template is defined -->
<?= $this->extend('templates/adminlte/generalcontent') ?>
<!-- .Extend -->

<!-- Title of the page -->
<?= $this->section('title') ?>Company Branch<?= $this->endSection() ?>
<!-- .Title -->

<!-- CSS of the page -->
<?= $this->section('css') ?>
<?= $this->endSection() ?>
<!-- .CSS -->

<!-- body attribute - class definition -->
<?= $this->section('bodyclass') ?>sidebar-mini<?= $this->endSection() ?>
<!-- .body attribute -->

<!-- Container title -->
<?= $this->section('containertitle') ?>Company Branch<?= $this->endSection() ?>
<!-- .Container title -->

<!-- Active breadcrumb -->
<?= $this->section('breadcrumbs') ?>
<li class="breadcrumb-item active">Company Branch</li>
<?= $this->endSection() ?>
<!-- .Active breadcrumb -->

<!-- Main content -->
<?= $this->section('main') ?>

<!-- Modal Add Branch -->
<div class="modal fade" id="mdlAddBranch">
  <div class="modal-dialog">
    <div class="modal-content">
      <form action="<?= url_to('hr/addbranch') ?>" method="post">
        <div class="modal-header">
          <h4 class="modal-title" >New Branch</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-12">
              <p class="lead">Branch Information</p>
              <div class="row">
                <div class="col-4">
                  <p><strong>Company ID</strong></p>
                  <p><?= session()->get('companyInfo')->company_id ?></p>
                  <input type="hidden" name="company_id" value="<?= session()->get('companyInfo')->company_id ?>">
                </div>
                <div class="col-8">
                <p><strong>Company Name</strong></p>
                  <p><?= session()->get('companyInfo')->company_name ?></p>
                </div>
              </div>
              <div class="row">
                <div class="col-12">
                  <div class="form-group">
                    <label for="txtBranchCode">Branch Code</label>
                    <input class="form-control" type="text" id="txtBranchCode" name="branch_code" value="<?= old('branch_code') ?>">
                  </div>
                  <div class="form-group">
                    <label for="txtBranchName">Branch Name</label>
                    <input class="form-control" type="text" id="txtBranchName" name="branch_name" values="<?= old('branch_name') ?>">
                  </div>
                  <div class="form-group">
                    <label for="txtAddress">Address</label>
                    <input class="form-control" type="text" id="txtAddress" name="address" values="<?= old('address') ?>">
                  </div>
                  <div class="form-group">
                    <label for="txtContactNumber">Contact Number</label>
                    <input class="form-control" type="text" id="txtContactNumber" name="contact_number" values="<?= old('contact_number') ?>">
                  </div>
                  <div class="form-group">
                    <label for="txtEmail">Email Address</label>
                    <input class="form-control" type="text" id="txtEmail" name="email_address" values="<?= old('email_address') ?>">
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
            <button type="submit" class="btn btn-primary">Save changes</button>
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        </div>
      </form>
    </div>
  </div>
</div>


<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title">List of Branches</h3>
            </div>
            <div class="card-body">
                <div class="card-body table-responsive p-0">
                    <?= $tblCompanyBranch ?>
                </div>
            </div>
            <div class="card-footer">
                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#mdlAddBranch">Add Branch</button>
            </div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>
<!-- .Main content -->

<!-- Javascript -->

<?= $this->section('js') ?>

<script>
$(document).ready(function() {
    
});



</script>

<?= $this->endSection() ?>

<!-- .Javascript -->