<!-- Extend area where template is defined -->
<?= $this->extend('templates/adminlte/generalcontent') ?>
<!-- .Extend -->

<!-- Title of the page -->
<?= $this->section('title') ?>Income and Deduction Transaction Update<?= $this->endSection() ?>
<!-- .Title -->

<!-- CSS of the page -->
<?= $this->section('css') ?>
<?= $this->endSection() ?>
<!-- .CSS -->

<!-- body attribute - class definition -->
<?= $this->section('bodyclass') ?>sidebar-mini<?= $this->endSection() ?>
<!-- .body attribute -->

<!-- Container title -->
<?= $this->section('containertitle') ?>Transaction Update of Income and Deduction<?= $this->endSection() ?>
<!-- .Container title -->

<!-- Active breadcrumb -->
<?= $this->section('breadcrumbs') ?>
<li class="breadcrumb-item active"><a href="/payroll/inded">Income and Deduction</a></li>
<li class="breadcrumb-item active">Transaction Update</li>
<?= $this->endSection() ?>
<!-- .Active breadcrumb -->

<!-- Main content -->
<?= $this->section('main') ?>


<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title"><?= $incomeDeduction->inded_name ?></h3>
            </div>
            <div class="card-body">
                <p>Here are the list of payroll transaction and the number of affected transactions when we update this Income or Deduction item. These are <strong>OPEN</strong> transaction and should you re-run computation on each employee after an update.</p>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Description</th>
                            <th>No. of Affected Transactions</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach($empPayTransInDedCount as $empPayTransInDed): ?>
                            <tr>
                                <td><?= $empPayTransInDed->paytrans_id ?></td>
                                <td><?= $empPayTransInDed->payroll_from . " - " . $empPayTransInDed->payroll_to ?></td>
                                <td><?= $empPayTransInDed->emp_count ?></td>
                                <td><a href="/payroll/indedtransapplyupdate/<?= $incomeDeduction->inded_id."/".$empPayTransInDed->paytrans_id ?>" class="btn btn-secondary">Update Income/Deduction Transaction</a></td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
            <div class="card-footer">
                <a href="/payroll/inded" class="btn btn-default">Back to Income and Deduction List</a>
            </div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>
<!-- .Main content -->

<!-- Javascript -->

<?= $this->section('js') ?>

<script>
$(document).ready(function() {
   
  
});


</script>

<?= $this->endSection() ?>

<!-- .Javascript -->